ON_String Class Reference

`#include <pcl/surface/3rdparty/opennurbs/opennurbs_string.h>`

## Public Member Functions

| ON_String ()
| ON_String (const ON_String &)
| ON_String (const char *)
| ON_String (const char *, int)
| ON_String (char, int=1)
| ON_String (const unsigned char *)
| ON_String (const unsigned char *, int)
| ON_String (unsigned char, int=1)
| ON_String (const wchar_t *src)
| ON_String (const wchar_t *src, int length)
| ON_String (const ON_wString &src)
void | Create ()
void | Destroy ()
void | EmergencyDestroy ()
void | EnableReferenceCounting (bool bEnable)
bool | IsReferenceCounted () const
int | Length () const
bool | IsEmpty () const
void | Empty ()
char & | operator[] (int)
char | operator[] (int) const
char | GetAt (int) const
void | SetAt (int, char)
void | SetAt (int, unsigned char)
| operator const char * () const
ON_String & | operator= (const ON_String &)
ON_String & | operator= (char)
ON_String & | operator= (const char *)
ON_String & | operator= (unsigned char)
ON_String & | operator= (const unsigned char *)
ON_String & | operator= (const wchar_t *src)
ON_String & | operator= (const ON_wString &src)
ON_String | operator+ (const ON_String &) const
ON_String | operator+ (char) const
ON_String | operator+ (unsigned char) const
ON_String | operator+ (const char *) const
ON_String | operator+ (const unsigned char *) const
bool | operator== (const ON_String &) const
bool | operator== (const char *) const
bool | operator!= (const ON_String &) const
bool | operator!= (const char *) const
bool | operator< (const ON_String &) const
bool | operator< (const char *) const
bool | operator> (const ON_String &) const
bool | operator> (const char *) const
bool | operator<= (const ON_String &) const
bool | operator<= (const char *) const
bool | operator>= (const ON_String &) const
bool | operator>= (const char *) const
void | Append (const char *, int)
void | Append (const unsigned char *, int)
const ON_String & | operator+= (const ON_String &)
const ON_String & | operator+= (char)
const ON_String & | operator+= (unsigned char)
const ON_String & | operator+= (const char *)
const ON_String & | operator+= (const unsigned char *)
int | Compare (const char *) const
int | Compare (const unsigned char *) const
int | CompareNoCase (const char *) const
int | CompareNoCase (const unsigned char *) const
bool | WildCardMatch (const char *) const
bool | WildCardMatch (const unsigned char *) const
bool | WildCardMatchNoCase (const char *) const
bool | WildCardMatchNoCase (const unsigned char *) const
int | Replace (const char *token1, const char *token2)
int | Replace (const unsigned char *token1, const unsigned char *token2)
int | Replace (char token1, char token2)
int | Replace (unsigned char token1, unsigned char token2)
ON_String | Mid (int, int) const
ON_String | Mid (int) const
ON_String | Left (int) const
ON_String | Right (int) const
void | MakeUpper ()
void | MakeLower ()
void | MakeReverse ()
void | TrimLeft (const char *=NULL)
void | TrimRight (const char *=NULL)
void | TrimLeftAndRight (const char *=NULL)
int | Remove (const char chRemove)
int | Find (char) const
int | Find (unsigned char) const
int | ReverseFind (char) const
int | ReverseFind (unsigned char) const
int | Find (const char *) const
int | Find (const unsigned char *) const
void ON_MSC_CDECL | Format (const char *,...)
void ON_MSC_CDECL | Format (const unsigned char *,...)
void | ReserveArray (size_t)
void | ShrinkArray ()
void | SetLength (size_t)
char * | Array ()
const char * | Array () const
unsigned int | SizeOf () const
ON__UINT32 | DataCRC (ON__UINT32 current_remainder) const
| ~ON_String ()

## Static Public Member Functions

static void | SplitPath (const char *path, ON_String *drive, ON_String *dir, ON_String *fname, ON_String *ext)

## Protected Member Functions

struct ON_aStringHeader * | Header () const
void | CreateArray (int)
void | CopyArray ()
void | CopyToArray (const ON_String &)
void | CopyToArray (int, const char *)
void | CopyToArray (int, const unsigned char *)
void | CopyToArray (int, const wchar_t *)
void | AppendToArray (const ON_String &)
void | AppendToArray (int, const char *)
void | AppendToArray (int, const unsigned char *)

## Static Protected Member Functions

static int | Length (const char *)
static int | Length (const unsigned char *)

## Protected Attributes

char * | m_s

## Detailed Description

Definition at line 405 of file opennurbs_string.h.

## Constructor & Destructor Documentation

## ON_String() [1/11]

ON_String::ON_String | ( |  | ) |

## ON_String() [2/11]

ON_String::ON_String | ( | const ON_String & |  | ) |

## ON_String() [3/11]

ON_String::ON_String | ( | const char * |  | ) |

## ON_String() [4/11]

ON_String::ON_String | ( | const char * | ,
|  | int |
| ) |  |

## ON_String() [5/11]

ON_String::ON_String | ( | char | ,
|  | int | = `1`
| ) |  |

## ON_String() [6/11]

ON_String::ON_String | ( | const unsigned char * |  | ) |

## ON_String() [7/11]

ON_String::ON_String | ( | const unsigned char * | ,
|  | int |
| ) |  |

## ON_String() [8/11]

ON_String::ON_String | ( | unsigned | char,
|  | int | = `1`
| ) |  |

## ON_String() [9/11]

ON_String::ON_String | ( | const wchar_t * | src | ) |

## ON_String() [10/11]

ON_String::ON_String | ( | const wchar_t * | src,
|  | int | length
| ) |  |

## ON_String() [11/11]

ON_String::ON_String | ( | const ON_wString & | src | ) |

## ~ON_String()

ON_String::~ON_String | ( |  | ) |

## Member Function Documentation

## Append() [1/2]

void ON_String::Append | ( | const char * | ,
|  | int |
| ) |  |

## Append() [2/2]

void ON_String::Append | ( | const unsigned char * | ,
|  | int |
| ) |  |

## AppendToArray() [1/3]

void ON_String::AppendToArray | ( | const ON_String & |  | ) |

protected

## AppendToArray() [2/3]

void ON_String::AppendToArray | ( | int | ,
|  | const char * |
| ) |  |

protected

## AppendToArray() [3/3]

void ON_String::AppendToArray | ( | int | ,
|  | const unsigned char * |
| ) |  |

protected

## Array() [1/2]

char* ON_String::Array | ( |  | ) |

## Array() [2/2]

const char* ON_String::Array | ( |  | ) | const

## Compare() [1/2]

int ON_String::Compare | ( | const char * |  | ) | const

## Compare() [2/2]

int ON_String::Compare | ( | const unsigned char * |  | ) | const

## CompareNoCase() [1/2]

int ON_String::CompareNoCase | ( | const char * |  | ) | const

## CompareNoCase() [2/2]

int ON_String::CompareNoCase | ( | const unsigned char * |  | ) | const

## CopyArray()

void ON_String::CopyArray | ( |  | ) |

protected

## CopyToArray() [1/4]

void ON_String::CopyToArray | ( | const ON_String & |  | ) |

protected

## CopyToArray() [2/4]

void ON_String::CopyToArray | ( | int | ,
|  | const char * |
| ) |  |

protected

## CopyToArray() [3/4]

void ON_String::CopyToArray | ( | int | ,
|  | const unsigned char * |
| ) |  |

protected

## CopyToArray() [4/4]

void ON_String::CopyToArray | ( | int | ,
|  | const wchar_t * |
| ) |  |

protected

## Create()

void ON_String::Create | ( |  | ) |

## CreateArray()

void ON_String::CreateArray | ( | int |  | ) |

protected

## DataCRC()

ON__UINT32 ON_String::DataCRC | ( | ON__UINT32 | current_remainder | ) | const

## Destroy()

void ON_String::Destroy | ( |  | ) |

## EmergencyDestroy()

void ON_String::EmergencyDestroy | ( |  | ) |

## Empty()

void ON_String::Empty | ( |  | ) |

## EnableReferenceCounting()

void ON_String::EnableReferenceCounting | ( | bool | bEnable | ) |

## Find() [1/4]

int ON_String::Find | ( | char |  | ) | const

## Find() [2/4]

int ON_String::Find | ( | unsigned | char | ) | const

## Find() [3/4]

int ON_String::Find | ( | const char * |  | ) | const

## Find() [4/4]

int ON_String::Find | ( | const unsigned char * |  | ) | const

## Format() [1/2]

void ON_MSC_CDECL ON_String::Format | ( | const char * | ,
|  |  | ...
| ) |  |

## Format() [2/2]

void ON_MSC_CDECL ON_String::Format | ( | const unsigned char * | ,
|  |  | ...
| ) |  |

## GetAt()

char ON_String::GetAt | ( | int |  | ) | const

## Header()

struct ON_aStringHeader* ON_String::Header | ( |  | ) | const

protected

## IsEmpty()

bool ON_String::IsEmpty | ( |  | ) | const

## IsReferenceCounted()

bool ON_String::IsReferenceCounted | ( |  | ) | const

## Left()

ON_String ON_String::Left | ( | int |  | ) | const

## Length() [1/3]

int ON_String::Length | ( |  | ) | const

## Length() [2/3]

static int ON_String::Length | ( | const char * |  | ) |

static protected

## Length() [3/3]

static int ON_String::Length | ( | const unsigned char * |  | ) |

static protected

## MakeLower()

void ON_String::MakeLower | ( |  | ) |

## MakeReverse()

void ON_String::MakeReverse | ( |  | ) |

## MakeUpper()

void ON_String::MakeUpper | ( |  | ) |

## Mid() [1/2]

ON_String ON_String::Mid | ( | int | ,
|  | int |
| ) |  | const

## Mid() [2/2]

ON_String ON_String::Mid | ( | int |  | ) | const

## operator const char *()

ON_String::operator const char * | ( |  | ) | const

## operator!=() [1/2]

bool ON_String::operator!= | ( | const ON_String & |  | ) | const

## operator!=() [2/2]

bool ON_String::operator!= | ( | const char * |  | ) | const

## operator+() [1/5]

ON_String ON_String::operator+ | ( | const ON_String & |  | ) | const

## operator+() [2/5]

ON_String ON_String::operator+ | ( | char |  | ) | const

## operator+() [3/5]

ON_String ON_String::operator+ | ( | unsigned | char | ) | const

## operator+() [4/5]

ON_String ON_String::operator+ | ( | const char * |  | ) | const

## operator+() [5/5]

ON_String ON_String::operator+ | ( | const unsigned char * |  | ) | const

## operator+=() [1/5]

const ON_String& ON_String::operator+= | ( | const ON_String & |  | ) |

## operator+=() [2/5]

const ON_String& ON_String::operator+= | ( | char |  | ) |

## operator+=() [3/5]

const ON_String& ON_String::operator+= | ( | unsigned | char | ) |

## operator+=() [4/5]

const ON_String& ON_String::operator+= | ( | const char * |  | ) |

## operator+=() [5/5]

const ON_String& ON_String::operator+= | ( | const unsigned char * |  | ) |

## operator<() [1/2]

bool ON_String::operator< | ( | const ON_String & |  | ) | const

## operator<() [2/2]

bool ON_String::operator< | ( | const char * |  | ) | const

## operator<=() [1/2]

bool ON_String::operator<= | ( | const ON_String & |  | ) | const

## operator<=() [2/2]

bool ON_String::operator<= | ( | const char * |  | ) | const

## operator=() [1/7]

ON_String& ON_String::operator= | ( | const ON_String & |  | ) |

## operator=() [2/7]

ON_String& ON_String::operator= | ( | char |  | ) |

## operator=() [3/7]

ON_String& ON_String::operator= | ( | const char * |  | ) |

## operator=() [4/7]

ON_String& ON_String::operator= | ( | unsigned | char | ) |

## operator=() [5/7]

ON_String& ON_String::operator= | ( | const unsigned char * |  | ) |

## operator=() [6/7]

ON_String& ON_String::operator= | ( | const wchar_t * | src | ) |

## operator=() [7/7]

ON_String& ON_String::operator= | ( | const ON_wString & | src | ) |

## operator==() [1/2]

bool ON_String::operator== | ( | const ON_String & |  | ) | const

## operator==() [2/2]

bool ON_String::operator== | ( | const char * |  | ) | const

## operator>() [1/2]

bool ON_String::operator> | ( | const ON_String & |  | ) | const

## operator>() [2/2]

bool ON_String::operator> | ( | const char * |  | ) | const

## operator>=() [1/2]

bool ON_String::operator>= | ( | const ON_String & |  | ) | const

## operator>=() [2/2]

bool ON_String::operator>= | ( | const char * |  | ) | const

## operator[]() [1/2]

char& ON_String::operator[] | ( | int |  | ) |

## operator[]() [2/2]

char ON_String::operator[] | ( | int |  | ) | const

## Remove()

int ON_String::Remove | ( | const char | chRemove | ) |

## Replace() [1/4]

int ON_String::Replace | ( | const char * | token1,
|  | const char * | token2
| ) |  |

## Replace() [2/4]

int ON_String::Replace | ( | const unsigned char * | token1,
|  | const unsigned char * | token2
| ) |  |

## Replace() [3/4]

int ON_String::Replace | ( | char | token1,
|  | char | token2
| ) |  |

## Replace() [4/4]

int ON_String::Replace | ( | unsigned char | token1,
|  | unsigned char | token2
| ) |  |

## ReserveArray()

void ON_String::ReserveArray | ( | size_t |  | ) |

## ReverseFind() [1/2]

int ON_String::ReverseFind | ( | char |  | ) | const

## ReverseFind() [2/2]

int ON_String::ReverseFind | ( | unsigned | char | ) | const

## Right()

ON_String ON_String::Right | ( | int |  | ) | const

## SetAt() [1/2]

void ON_String::SetAt | ( | int | ,
|  | char |
| ) |  |

## SetAt() [2/2]

void ON_String::SetAt | ( | int | ,
|  | unsigned | char
| ) |  |

## SetLength()

void ON_String::SetLength | ( | size_t |  | ) |

## ShrinkArray()

void ON_String::ShrinkArray | ( |  | ) |

## SizeOf()

unsigned int ON_String::SizeOf | ( |  | ) | const

## SplitPath()

static void ON_String::SplitPath | ( | const char * | path,
|  | ON_String * | drive,
|  | ON_String * | dir,
|  | ON_String * | fname,
|  | ON_String * | ext
| ) |  |

static

## TrimLeft()

void ON_String::TrimLeft | ( | const char * | = `NULL` | ) |

## TrimLeftAndRight()

void ON_String::TrimLeftAndRight | ( | const char * | = `NULL` | ) |

## TrimRight()

void ON_String::TrimRight | ( | const char * | = `NULL` | ) |

## WildCardMatch() [1/2]

bool ON_String::WildCardMatch | ( | const char * |  | ) | const

## WildCardMatch() [2/2]

bool ON_String::WildCardMatch | ( | const unsigned char * |  | ) | const

## WildCardMatchNoCase() [1/2]

bool ON_String::WildCardMatchNoCase | ( | const char * |  | ) | const

## WildCardMatchNoCase() [2/2]

bool ON_String::WildCardMatchNoCase | ( | const unsigned char * |  | ) | const

## Member Data Documentation

## m_s

char* ON_String::m_s

protected

Definition at line 673 of file opennurbs_string.h.

The documentation for this class was generated from the following file:

- /build/pcl-OilVEB/pcl-1.8.1+dfsg1/surface/include/pcl/surface/3rdparty/opennurbs/opennurbs_string.h